#!/usr/bin/env python

# Written by Henrik Nilsen Omma
# (C) Canonical, Ltd. Licensed under the GPL

from distutils.core import setup
import glob
import os
import re

# look/set what version we have
changelog = "debian/changelog"
if os.path.exists(changelog):
    head=open(changelog).readline()
    match = re.compile(".*\((.*)\).*").match(head)
    if match:
        version = match.group(1)
   
setup(name='bughelper',
      version=version,
      packages=['bugHelper', 'launchpadBugs'],
      scripts=['bughelper','bugnumbers','bugxml'],
      data_files=[('share/bughelper/', glob.glob('data/*.rng')),
                  ('share/doc/bughelper/', ['data/example.info'])
                 ]
)

